#!/bin/sh
#
# $FreeBSD: ports/net/redir/files/redir.in,v 1.2 2006/02/20 20:47:29 dougb Exp $
#
# PROVIDE: redir
# REQUIRE: DAEMON
#
# Add the following lines to /etc/rc.conf to enable redir:
#
# redir_enable (bool):		Set it to "YES" to enable redir.
#				Default is "NO".
# redir_flags (flags):		Set flags to redir.
#				Default id "". see redir(1).
#				Example: "--lport=80 --cport=3128 --syslog"
#

. /etc/rc.subr

name="redir"
rcvar=`set_rcvar`

load_rc_config $name

: ${redir_enable="NO"}
: ${redir_flags=""}

command=/usr/local/bin/redir
command_args="${redir_flags} &"
start_precmd="${name}_flags_check"

redir_flags_check()
{
	if [ "${redir_flags}" = "" ]; then
		err 1 "\$redir_flags are required. see redir(1)"
	fi
}

run_rc_command "$1"
